You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
rephorm d7792a9270 Start of a color selector. 17 years ago
data Start of a color selector. 17 years ago
debian fix deb pkg 17 years ago
doc patches that i said were in - commit. (see my reply emails) 17 years ago
intl ignore 18 years ago
lib Quiet! 18 years ago
m4 touchup help output 17 years ago
po Minor Swedish update... 17 years ago
src Start of a color selector. 17 years ago
.cvsignore Added cvsignore entries: mainly for *.spec files, 17 years ago
ABOUT-NLS simple update of available languages 18 years ago
AUTHORS part of mmap/eet changes patch 17 years ago
BUGS bugs-- 17 years ago
COPYING _ _ _ _ _____ ___ 18 years ago
COPYING-PLAIN _ _ _ _ _____ ___ 18 years ago
ChangeLog _ _ _ _ _____ ___ 18 years ago
INSTALL _ _ _ _ _____ ___ 18 years ago
Makefile.am remvoe libe - really pointless as its not realyl a lib just an access 17 years ago
NEWS _ _ _ _ _____ ___ 18 years ago
README Include EFL prerequisites / build order in README 17 years ago
TODO * desklock personal password disabled - security risk. 17 years ago
autogen.sh Add macro for N_ for marking string for translation 17 years ago
configure.in aaah.... 17 years ago
enlightenment-config.in update packaging info and config script 17 years ago
enlightenment.spec.in delete trailing chars from end of specfile, silly raster 17 years ago
gdb.txt Debugging script and support file. 17 years ago
netwm.txt Fix supported atoms. 17 years ago
xnest.sh Slow down, you're moving too fast. 17 years ago

README

Enlightenment 0.17.0 - IN DEVELOPMENT... not a RELEASE.

NOTE: Users of DR16 will need to rename the $prefix/bin/enlightenment
file prior to installing DR17 or it will be overwritten.

You can also use the configure --prefix option to put e17 in a separate tree
of its own (recommended) like:

./configure --prefix=/usr/local/e17

You will, as usual need to add the subsequent bin dir to your $PATH etc.

PREREQUISITES:

The following Enlightenment Foundation Libraries are required by e17:
* eet
* evas
* ecore
* embryo
* edje


NOTES:

* do NOT use -mfpmath=sse in CFLAGS - we are not sure, but it may have bugds
and screws up things in edje, evas and e17. if your gcc uses this by default
(which apparently gcc4.x does on amd64), turn it off with a -fpmath=387 in
your CFLAGS.

* your freetype2 version must be > 2.1.7

* i remember hearing of bugs with later versions of freetype on some
distributions (2.1.9 and 2.1.10) with certain patches or missing certain
patches. be aware of this as a possible font problem.